Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_local_var_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_local_var_mod.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_local_var_mod.F90	(revision 5098)
@@ -631,165 +632,165 @@
 #endif
 
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: p_tropopause, z_tropopause, t_tropopause
-!$OMP THREADPRIVATE(p_tropopause, z_tropopause, t_tropopause)
-
-      INTEGER,ALLOCATABLE,SAVE,DIMENSION(:,:) :: zn2mout
-!$OMP THREADPRIVATE(zn2mout)
-
-      REAL, SAVE, ALLOCATABLE :: qclr(:,:)
-      !$OMP THREADPRIVATE(qclr)
-      REAL, SAVE, ALLOCATABLE :: qcld(:,:)
-      !$OMP THREADPRIVATE(qcld)
-      REAL, SAVE, ALLOCATABLE :: qss(:,:)
-      !$OMP THREADPRIVATE(qss)
-      REAL, SAVE, ALLOCATABLE :: qvc(:,:)
-      !$OMP THREADPRIVATE(qvc)
-      REAL, SAVE, ALLOCATABLE :: rnebclr(:,:)
-      !$OMP THREADPRIVATE(rnebclr)
-      REAL, SAVE, ALLOCATABLE :: rnebss(:,:)
-      !$OMP THREADPRIVATE(rnebss)
-      REAL, SAVE, ALLOCATABLE :: gamma_ss(:,:)
-      !$OMP THREADPRIVATE(gamma_ss)
-      REAL, SAVE, ALLOCATABLE :: N1_ss(:,:)
-      !$OMP THREADPRIVATE(N1_ss)
-      REAL, SAVE, ALLOCATABLE :: N2_ss(:,:)
-      !$OMP THREADPRIVATE(N2_ss)
-      REAL, SAVE, ALLOCATABLE :: drneb_sub(:,:)
-      !$OMP THREADPRIVATE(drneb_sub)
-      REAL, SAVE, ALLOCATABLE :: drneb_con(:,:)
-      !$OMP THREADPRIVATE(drneb_con)
-      REAL, SAVE, ALLOCATABLE :: drneb_tur(:,:)
-      !$OMP THREADPRIVATE(drneb_tur)
-      REAL, SAVE, ALLOCATABLE :: drneb_avi(:,:)
-      !$OMP THREADPRIVATE(drneb_avi)
-      REAL, SAVE, ALLOCATABLE :: zqsatl(:,:)
-      !$OMP THREADPRIVATE(zqsatl)
-      REAL, SAVE, ALLOCATABLE :: zqsats(:,:)
-      !$OMP THREADPRIVATE(zqsats)
-      REAL, SAVE, ALLOCATABLE :: Tcontr(:,:)
-      !$OMP THREADPRIVATE(Tcontr)
-      REAL, SAVE, ALLOCATABLE :: qcontr(:,:)
-      !$OMP THREADPRIVATE(qcontr)
-      REAL, SAVE, ALLOCATABLE :: qcontr2(:,:)
-      !$OMP THREADPRIVATE(qcontr2)
-      REAL, SAVE, ALLOCATABLE :: fcontrN(:,:)
-      !$OMP THREADPRIVATE(fcontrN)
-      REAL, SAVE, ALLOCATABLE :: fcontrP(:,:)
-      !$OMP THREADPRIVATE(fcontrP)
-      REAL, SAVE, ALLOCATABLE :: distcltop(:,:)
-      !$OMP THREADPRIVATE(distcltop)
-      REAL, SAVE, ALLOCATABLE :: temp_cltop(:,:)
-      !$OMP THREADPRIVATE(temp_cltop)
-
-
-!--POPRECIP variables
-      REAL, SAVE, ALLOCATABLE :: qraindiag(:,:)
-      !$OMP THREADPRIVATE(qraindiag)
-      REAL, SAVE, ALLOCATABLE :: qsnowdiag(:,:)
-      !$OMP THREADPRIVATE(qsnowdiag)
-      REAL, SAVE, ALLOCATABLE :: dqreva(:,:)
-      !$OMP THREADPRIVATE(dqreva)
-      REAL, SAVE, ALLOCATABLE :: dqrauto(:,:)
-      !$OMP THREADPRIVATE(dqrauto)
-      REAL, SAVE, ALLOCATABLE :: dqrcol(:,:)
-      !$OMP THREADPRIVATE(dqrcol)
-      REAL, SAVE, ALLOCATABLE :: dqrmelt(:,:)
-      !$OMP THREADPRIVATE(dqrmelt)
-       REAL, SAVE, ALLOCATABLE :: dqrfreez(:,:)
-      !$OMP THREADPRIVATE(dqrfreez)
-      REAL, SAVE, ALLOCATABLE :: dqssub(:,:)
-      !$OMP THREADPRIVATE(dqssub)
-      REAL, SAVE, ALLOCATABLE :: dqsauto(:,:)
-      !$OMP THREADPRIVATE(dqsauto)
-      REAL, SAVE, ALLOCATABLE :: dqsagg(:,:)
-      !$OMP THREADPRIVATE(dqsagg)
-      REAL, SAVE, ALLOCATABLE :: dqsrim(:,:)
-      !$OMP THREADPRIVATE(dqsrim)
-      REAL, SAVE, ALLOCATABLE :: dqsmelt(:,:)
-      !$OMP THREADPRIVATE(dqsmelt)
-      REAL, SAVE, ALLOCATABLE :: dqsfreez(:,:)
-      !$OMP THREADPRIVATE(dqsfreez)
-
-
-      
-
-
-#ifdef CPP_StratAer
-!
-! variables for stratospheric aerosol
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: d_q_emiss
-!$OMP THREADPRIVATE(d_q_emiss)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: R2SO4
-!$OMP THREADPRIVATE(R2SO4)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: DENSO4
-!$OMP THREADPRIVATE(DENSO4)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: f_r_wet
-!$OMP THREADPRIVATE(f_r_wet)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: decfluxaer
-!$OMP THREADPRIVATE(decfluxaer)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: mdw
-!$OMP THREADPRIVATE(mdw)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: OCS_lifetime
-!$OMP THREADPRIVATE(OCS_lifetime)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: SO2_lifetime
-!$OMP THREADPRIVATE(SO2_lifetime)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: H2SO4_lifetime
-!$OMP THREADPRIVATE(H2SO4_lifetime)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: O3_clim
-!$OMP THREADPRIVATE(O3_clim)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: alpha_bin
-!$OMP THREADPRIVATE(alpha_bin)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: piz_bin
-!$OMP THREADPRIVATE(piz_bin)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: cg_bin
-!$OMP THREADPRIVATE(cg_bin)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: tau_strat_550
-!$OMP THREADPRIVATE(tau_strat_550)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: tau_strat_1020
-!$OMP THREADPRIVATE(tau_strat_1020)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: tausum_strat
-!$OMP THREADPRIVATE(tausum_strat)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: surf_PM25_sulf
-!$OMP THREADPRIVATE(surf_PM25_sulf)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: vsed_aer
-!$OMP THREADPRIVATE(vsed_aer)
-!
-!---3D budget variables
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: budg_3D_nucl
-!$OMP THREADPRIVATE(budg_3D_nucl)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: budg_3D_cond_evap
-!$OMP THREADPRIVATE(budg_3D_cond_evap)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: budg_3D_ocs_to_so2
-!$OMP THREADPRIVATE(budg_3D_ocs_to_so2)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: budg_3D_so2_to_h2so4
-!$OMP THREADPRIVATE(budg_3D_so2_to_h2so4)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: budg_3D_backgr_ocs
-!$OMP THREADPRIVATE(budg_3D_backgr_ocs)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: budg_3D_backgr_so2
-!$OMP THREADPRIVATE(budg_3D_backgr_so2)
-!
-!---2D budget variables
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_dep_dry_ocs
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_dep_dry_so2
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_dep_dry_h2so4
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_dep_dry_part
-!$OMP THREADPRIVATE(budg_dep_dry_ocs,budg_dep_dry_so2,budg_dep_dry_h2so4,budg_dep_dry_part)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_dep_wet_ocs
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_dep_wet_so2
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_dep_wet_h2so4
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_dep_wet_part
-!$OMP THREADPRIVATE(budg_dep_wet_ocs,budg_dep_wet_so2,budg_dep_wet_h2so4,budg_dep_wet_part)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_emi_ocs
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_emi_so2
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_emi_h2so4
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_emi_part
-!$OMP THREADPRIVATE(budg_emi_ocs,budg_emi_so2,budg_emi_h2so4,budg_emi_part)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_ocs_to_so2
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_so2_to_h2so4
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_h2so4_to_part
-!$OMP THREADPRIVATE(budg_ocs_to_so2,budg_so2_to_h2so4,budg_h2so4_to_part)
-      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_sed_part
-!$OMP THREADPRIVATE(budg_sed_part)
-#endif
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: p_tropopause, z_tropopause, t_tropopause
+  !$OMP THREADPRIVATE(p_tropopause, z_tropopause, t_tropopause)
+
+  INTEGER, ALLOCATABLE, SAVE, DIMENSION(:, :) :: zn2mout
+  !$OMP THREADPRIVATE(zn2mout)
+
+  REAL, SAVE, ALLOCATABLE :: qclr(:, :)
+  !$OMP THREADPRIVATE(qclr)
+  REAL, SAVE, ALLOCATABLE :: qcld(:, :)
+  !$OMP THREADPRIVATE(qcld)
+  REAL, SAVE, ALLOCATABLE :: qss(:, :)
+  !$OMP THREADPRIVATE(qss)
+  REAL, SAVE, ALLOCATABLE :: qvc(:, :)
+  !$OMP THREADPRIVATE(qvc)
+  REAL, SAVE, ALLOCATABLE :: rnebclr(:, :)
+  !$OMP THREADPRIVATE(rnebclr)
+  REAL, SAVE, ALLOCATABLE :: rnebss(:, :)
+  !$OMP THREADPRIVATE(rnebss)
+  REAL, SAVE, ALLOCATABLE :: gamma_ss(:, :)
+  !$OMP THREADPRIVATE(gamma_ss)
+  REAL, SAVE, ALLOCATABLE :: N1_ss(:, :)
+  !$OMP THREADPRIVATE(N1_ss)
+  REAL, SAVE, ALLOCATABLE :: N2_ss(:, :)
+  !$OMP THREADPRIVATE(N2_ss)
+  REAL, SAVE, ALLOCATABLE :: drneb_sub(:, :)
+  !$OMP THREADPRIVATE(drneb_sub)
+  REAL, SAVE, ALLOCATABLE :: drneb_con(:, :)
+  !$OMP THREADPRIVATE(drneb_con)
+  REAL, SAVE, ALLOCATABLE :: drneb_tur(:, :)
+  !$OMP THREADPRIVATE(drneb_tur)
+  REAL, SAVE, ALLOCATABLE :: drneb_avi(:, :)
+  !$OMP THREADPRIVATE(drneb_avi)
+  REAL, SAVE, ALLOCATABLE :: zqsatl(:, :)
+  !$OMP THREADPRIVATE(zqsatl)
+  REAL, SAVE, ALLOCATABLE :: zqsats(:, :)
+  !$OMP THREADPRIVATE(zqsats)
+  REAL, SAVE, ALLOCATABLE :: Tcontr(:, :)
+  !$OMP THREADPRIVATE(Tcontr)
+  REAL, SAVE, ALLOCATABLE :: qcontr(:, :)
+  !$OMP THREADPRIVATE(qcontr)
+  REAL, SAVE, ALLOCATABLE :: qcontr2(:, :)
+  !$OMP THREADPRIVATE(qcontr2)
+  REAL, SAVE, ALLOCATABLE :: fcontrN(:, :)
+  !$OMP THREADPRIVATE(fcontrN)
+  REAL, SAVE, ALLOCATABLE :: fcontrP(:, :)
+  !$OMP THREADPRIVATE(fcontrP)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :, :) :: DENSO4B
+  !$OMP THREADPRIVATE(DENSO4B)
+  REAL, SAVE, ALLOCATABLE :: distcltop(:, :)
+  !$OMP THREADPRIVATE(distcltop)
+  REAL, SAVE, ALLOCATABLE :: temp_cltop(:, :)
+  !$OMP THREADPRIVATE(temp_cltop)
+
+
+  !--POPRECIP variables
+  REAL, SAVE, ALLOCATABLE :: qraindiag(:, :)
+  !$OMP THREADPRIVATE(qraindiag)
+  REAL, SAVE, ALLOCATABLE :: qsnowdiag(:, :)
+  !$OMP THREADPRIVATE(qsnowdiag)
+  REAL, SAVE, ALLOCATABLE :: dqreva(:, :)
+  !$OMP THREADPRIVATE(dqreva)
+  REAL, SAVE, ALLOCATABLE :: dqrauto(:, :)
+  !$OMP THREADPRIVATE(dqrauto)
+  REAL, SAVE, ALLOCATABLE :: dqrcol(:, :)
+  !$OMP THREADPRIVATE(dqrcol)
+  REAL, SAVE, ALLOCATABLE :: dqrmelt(:, :)
+  !$OMP THREADPRIVATE(dqrmelt)
+  REAL, SAVE, ALLOCATABLE :: dqrfreez(:, :)
+  !$OMP THREADPRIVATE(dqrfreez)
+  REAL, SAVE, ALLOCATABLE :: dqssub(:, :)
+  !$OMP THREADPRIVATE(dqssub)
+  REAL, SAVE, ALLOCATABLE :: dqsauto(:, :)
+  !$OMP THREADPRIVATE(dqsauto)
+  REAL, SAVE, ALLOCATABLE :: dqsagg(:, :)
+  !$OMP THREADPRIVATE(dqsagg)
+  REAL, SAVE, ALLOCATABLE :: dqsrim(:, :)
+  !$OMP THREADPRIVATE(dqsrim)
+  REAL, SAVE, ALLOCATABLE :: dqsmelt(:, :)
+  !$OMP THREADPRIVATE(dqsmelt)
+  REAL, SAVE, ALLOCATABLE :: dqsfreez(:, :)
+  !$OMP THREADPRIVATE(dqsfreez)
+
+
+
+
+
+  !
+  ! variables for stratospheric aerosol
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: d_q_emiss
+  !$OMP THREADPRIVATE(d_q_emiss)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: R2SO4
+  !$OMP THREADPRIVATE(R2SO4)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: DENSO4
+  !$OMP THREADPRIVATE(DENSO4)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: f_r_wet
+  !$OMP THREADPRIVATE(f_r_wet)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: decfluxaer
+  !$OMP THREADPRIVATE(decfluxaer)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: mdw
+  !$OMP THREADPRIVATE(mdw)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: OCS_lifetime
+  !$OMP THREADPRIVATE(OCS_lifetime)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: SO2_lifetime
+  !$OMP THREADPRIVATE(SO2_lifetime)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: H2SO4_lifetime
+  !$OMP THREADPRIVATE(H2SO4_lifetime)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: O3_clim
+  !$OMP THREADPRIVATE(O3_clim)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: alpha_bin
+  !$OMP THREADPRIVATE(alpha_bin)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: piz_bin
+  !$OMP THREADPRIVATE(piz_bin)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: cg_bin
+  !$OMP THREADPRIVATE(cg_bin)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: tau_strat_550
+  !$OMP THREADPRIVATE(tau_strat_550)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: tau_strat_1020
+  !$OMP THREADPRIVATE(tau_strat_1020)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: tausum_strat
+  !$OMP THREADPRIVATE(tausum_strat)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: surf_PM25_sulf
+  !$OMP THREADPRIVATE(surf_PM25_sulf)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: vsed_aer
+  !$OMP THREADPRIVATE(vsed_aer)
+  !
+  !---3D budget variables
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: budg_3D_nucl
+  !$OMP THREADPRIVATE(budg_3D_nucl)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: budg_3D_cond_evap
+  !$OMP THREADPRIVATE(budg_3D_cond_evap)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: budg_3D_ocs_to_so2
+  !$OMP THREADPRIVATE(budg_3D_ocs_to_so2)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: budg_3D_so2_to_h2so4
+  !$OMP THREADPRIVATE(budg_3D_so2_to_h2so4)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: budg_3D_backgr_ocs
+  !$OMP THREADPRIVATE(budg_3D_backgr_ocs)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: budg_3D_backgr_so2
+  !$OMP THREADPRIVATE(budg_3D_backgr_so2)
+  !
+  !---2D budget variables
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_dep_dry_ocs
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_dep_dry_so2
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_dep_dry_h2so4
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_dep_dry_part
+  !$OMP THREADPRIVATE(budg_dep_dry_ocs,budg_dep_dry_so2,budg_dep_dry_h2so4,budg_dep_dry_part)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_dep_wet_ocs
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_dep_wet_so2
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_dep_wet_h2so4
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_dep_wet_part
+  !$OMP THREADPRIVATE(budg_dep_wet_ocs,budg_dep_wet_so2,budg_dep_wet_h2so4,budg_dep_wet_part)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_emi_ocs
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_emi_so2
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_emi_h2so4
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_emi_part
+  !$OMP THREADPRIVATE(budg_emi_ocs,budg_emi_so2,budg_emi_h2so4,budg_emi_part)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_ocs_to_so2
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_so2_to_h2so4
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_h2so4_to_part
+  !$OMP THREADPRIVATE(budg_ocs_to_so2,budg_so2_to_h2so4,budg_h2so4_to_part)
+  REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_sed_part
+  !$OMP THREADPRIVATE(budg_sed_part)
 #ifdef REPROBUS
       REAL,SAVE,ALLOCATABLE    :: d_q_emiss(:,:)
@@ -799,58 +800,58 @@
 CONTAINS
 
-!======================================================================
-SUBROUTINE phys_local_var_init
-USE dimphy
-USE infotrac_phy, ONLY : nbtr,nqtot
+  !======================================================================
+  SUBROUTINE phys_local_var_init
+    USE dimphy
+    USE infotrac_phy, ONLY : nbtr, nqtot
 #ifdef ISO
 USE infotrac_phy, ONLY : ntraciso=>ntiso,niso
 #endif
-USE aero_mod
-USE indice_sol_mod
-USE phys_output_var_mod
-USE phys_state_var_mod
-
-IMPLICIT NONE
-      ALLOCATE(t_seri(klon,klev),q_seri(klon,klev),ql_seri(klon,klev),qs_seri(klon,klev), qbs_seri(klon,klev))
-      ALLOCATE(qx_seri(klon,klev,nqtot))
-      ALLOCATE(u_seri(klon,klev),v_seri(klon,klev))
-      ALLOCATE(l_mixmin(klon,klev+1,nbsrf),l_mix(klon,klev+1,nbsrf),wprime(klon,klev+1,nbsrf))
-      ALLOCATE(pbl_eps(klon,klev+1,nbsrf+1))
-      ALLOCATE(tke_shear(klon,klev+1,nbsrf), tke_buoy(klon,klev+1,nbsrf), tke_trans(klon,klev+1,nbsrf))
-      pbl_eps(:,:,:)=0.
-      tke_shear(:,:,:)=0.; tke_buoy(:,:,:)=0.; tke_trans(:,:,:)=0.
-      l_mix(:,:,:)=0.;l_mixmin(:,:,:)=0.;wprime(:,:,:)=0. ! doit etre initialse car pas toujours remplis
-      ALLOCATE(rhcl(klon,klev))
-      ALLOCATE(tr_seri(klon,klev,nbtr))
-      ALLOCATE(d_t_dyn(klon,klev),d_q_dyn(klon,klev))
-      ALLOCATE(d_ql_dyn(klon,klev),d_qs_dyn(klon,klev), d_qbs_dyn(klon,klev))
-      ALLOCATE(d_q_dyn2d(klon),d_ql_dyn2d(klon),d_qs_dyn2d(klon), d_qbs_dyn2d(klon))
-      ALLOCATE(d_u_dyn(klon,klev),d_v_dyn(klon,klev))
-      ALLOCATE(d_tr_dyn(klon,klev,nbtr))                   !RomP
-      ALLOCATE(d_t_con(klon,klev),d_q_con(klon,klev),d_q_con_zmasse(klon,klev))
-      ALLOCATE(d_u_con(klon,klev),d_v_con(klon,klev))
-      ALLOCATE(d_t_wake(klon,klev),d_q_wake(klon,klev))
-      ALLOCATE(d_t_lsc(klon,klev),d_q_lsc(klon,klev))
-      ALLOCATE(d_t_lwr(klon,klev),d_t_lw0(klon,klev))
-      ALLOCATE(d_t_swr(klon,klev),d_t_sw0(klon,klev))
-      ALLOCATE(d_ql_lsc(klon,klev),d_qi_lsc(klon,klev))
-      ALLOCATE(d_t_ajsb(klon,klev),d_q_ajsb(klon,klev))
-      ALLOCATE(d_t_ajs(klon,klev),d_q_ajs(klon,klev))
-!nrlmd<
-      ALLOCATE(d_t_ajs_w(klon,klev),d_q_ajs_w(klon,klev))
-      ALLOCATE(d_t_ajs_x(klon,klev),d_q_ajs_x(klon,klev))
-!>nrlmd
-      ALLOCATE(d_u_ajs(klon,klev),d_v_ajs(klon,klev))
-      ALLOCATE(d_t_eva(klon,klev),d_q_eva(klon,klev))
-      ALLOCATE(d_qx_eva(klon,klev,nqtot))
-      ALLOCATE(d_ql_eva(klon,klev),d_qi_eva(klon,klev))
-      ALLOCATE(d_t_lscst(klon,klev),d_q_lscst(klon,klev))
-      ALLOCATE(d_t_lscth(klon,klev),d_q_lscth(klon,klev))
-      ALLOCATE(plul_st(klon),plul_th(klon))
-      ALLOCATE(d_t_vdf(klon,klev),d_q_vdf(klon,klev),d_t_diss(klon,klev))
-      ALLOCATE (d_qbs_vdf(klon,klev))
-      ALLOCATE(d_t_bsss(klon,klev),d_q_bsss(klon,klev),d_qbs_bsss(klon,klev))
-      ALLOCATE(d_t_vdf_w(klon,klev),d_q_vdf_w(klon,klev))
-      ALLOCATE(d_t_vdf_x(klon,klev),d_q_vdf_x(klon,klev))
+    USE aero_mod
+    USE indice_sol_mod
+    USE phys_output_var_mod
+    USE phys_state_var_mod
+
+    IMPLICIT NONE
+    ALLOCATE(t_seri(klon, klev), q_seri(klon, klev), ql_seri(klon, klev), qs_seri(klon, klev), qbs_seri(klon, klev))
+    ALLOCATE(qx_seri(klon, klev, nqtot))
+    ALLOCATE(u_seri(klon, klev), v_seri(klon, klev))
+    ALLOCATE(l_mixmin(klon, klev + 1, nbsrf), l_mix(klon, klev + 1, nbsrf), wprime(klon, klev + 1, nbsrf))
+    ALLOCATE(pbl_eps(klon, klev + 1, nbsrf + 1))
+    ALLOCATE(tke_shear(klon, klev + 1, nbsrf), tke_buoy(klon, klev + 1, nbsrf), tke_trans(klon, klev + 1, nbsrf))
+    pbl_eps(:, :, :) = 0.
+    tke_shear(:, :, :) = 0.; tke_buoy(:, :, :) = 0.; tke_trans(:, :, :) = 0.
+    l_mix(:, :, :) = 0.;l_mixmin(:, :, :) = 0.;wprime(:, :, :) = 0. ! doit etre initialse car pas toujours remplis
+    ALLOCATE(rhcl(klon, klev))
+    ALLOCATE(tr_seri(klon, klev, nbtr))
+    ALLOCATE(d_t_dyn(klon, klev), d_q_dyn(klon, klev))
+    ALLOCATE(d_ql_dyn(klon, klev), d_qs_dyn(klon, klev), d_qbs_dyn(klon, klev))
+    ALLOCATE(d_q_dyn2d(klon), d_ql_dyn2d(klon), d_qs_dyn2d(klon), d_qbs_dyn2d(klon))
+    ALLOCATE(d_u_dyn(klon, klev), d_v_dyn(klon, klev))
+    ALLOCATE(d_tr_dyn(klon, klev, nbtr))                   !RomP
+    ALLOCATE(d_t_con(klon, klev), d_q_con(klon, klev), d_q_con_zmasse(klon, klev))
+    ALLOCATE(d_u_con(klon, klev), d_v_con(klon, klev))
+    ALLOCATE(d_t_wake(klon, klev), d_q_wake(klon, klev))
+    ALLOCATE(d_t_lsc(klon, klev), d_q_lsc(klon, klev))
+    ALLOCATE(d_t_lwr(klon, klev), d_t_lw0(klon, klev))
+    ALLOCATE(d_t_swr(klon, klev), d_t_sw0(klon, klev))
+    ALLOCATE(d_ql_lsc(klon, klev), d_qi_lsc(klon, klev))
+    ALLOCATE(d_t_ajsb(klon, klev), d_q_ajsb(klon, klev))
+    ALLOCATE(d_t_ajs(klon, klev), d_q_ajs(klon, klev))
+    !nrlmd<
+    ALLOCATE(d_t_ajs_w(klon, klev), d_q_ajs_w(klon, klev))
+    ALLOCATE(d_t_ajs_x(klon, klev), d_q_ajs_x(klon, klev))
+    !>nrlmd
+    ALLOCATE(d_u_ajs(klon, klev), d_v_ajs(klon, klev))
+    ALLOCATE(d_t_eva(klon, klev), d_q_eva(klon, klev))
+    ALLOCATE(d_qx_eva(klon, klev, nqtot))
+    ALLOCATE(d_ql_eva(klon, klev), d_qi_eva(klon, klev))
+    ALLOCATE(d_t_lscst(klon, klev), d_q_lscst(klon, klev))
+    ALLOCATE(d_t_lscth(klon, klev), d_q_lscth(klon, klev))
+    ALLOCATE(plul_st(klon), plul_th(klon))
+    ALLOCATE(d_t_vdf(klon, klev), d_q_vdf(klon, klev), d_t_diss(klon, klev))
+    ALLOCATE (d_qbs_vdf(klon, klev))
+    ALLOCATE(d_t_bsss(klon, klev), d_q_bsss(klon, klev), d_qbs_bsss(klon, klev))
+    ALLOCATE(d_t_vdf_w(klon, klev), d_q_vdf_w(klon, klev))
+    ALLOCATE(d_t_vdf_x(klon, klev), d_q_vdf_x(klon, klev))
 #ifdef ISO
       allocate(xt_seri(ntraciso,klon,klev))
@@ -883,123 +884,123 @@
 #endif
 
-      ALLOCATE(d_u_vdf(klon,klev),d_v_vdf(klon,klev))
-      ALLOCATE(d_t_oli(klon,klev),d_t_oro(klon,klev))
-      ALLOCATE(d_u_oli(klon,klev),d_v_oli(klon,klev))
-      ALLOCATE(d_u_oro(klon,klev),d_v_oro(klon,klev))
-      ALLOCATE(d_u_oro_gw(klon,klev),d_v_oro_gw(klon,klev))
-      ALLOCATE(d_t_oro_gw(klon,klev))
-      ALLOCATE(d_t_lif(klon,klev),d_t_ec(klon,klev))
-      ALLOCATE(d_u_lif(klon,klev),d_v_lif(klon,klev))
-      ALLOCATE(d_ts(klon,nbsrf), d_tr(klon,klev,nbtr))
-
-! aerosols
-      ALLOCATE(m_allaer(klon,klev,naero_tot))
-! Special RRTM
-      ALLOCATE(ZLWFT0_i(klon,klev+1),ZSWFT0_i(klon,klev+1),ZFLDN0(klon,klev+1))
-      ZFLDN0= 0.
-      ALLOCATE(ZFLUP0(klon,klev+1),ZFSDN0(klon,klev+1),ZFSUP0(klon,klev+1))
-!
-      ALLOCATE(topswad_aero(klon), solswad_aero(klon))
-      ALLOCATE(topswai_aero(klon), solswai_aero(klon))
-      ALLOCATE(topswad0_aero(klon), solswad0_aero(klon))
-      ALLOCATE(toplwad_aero(klon), sollwad_aero(klon))
-      ALLOCATE(toplwai_aero(klon), sollwai_aero(klon))
-      ALLOCATE(toplwad0_aero(klon), sollwad0_aero(klon))
-      ALLOCATE(topsw_aero(klon,naero_grp), solsw_aero(klon,naero_grp))
-      ALLOCATE(topsw0_aero(klon,naero_grp), solsw0_aero(klon,naero_grp))
-      ALLOCATE(topswcf_aero(klon,3), solswcf_aero(klon,3))
-      ALLOCATE(du_gwd_hines(klon,klev),dv_gwd_hines(klon,klev))
-      ALLOCATE(dv_gwd_rando(klon,klev),dv_gwd_front(klon,klev))
-      ALLOCATE(east_gwstress(klon,klev),west_gwstress(klon,klev))
-      east_gwstress(:,:)=0 !ym missing init
-      west_gwstress(:,:)=0 !ym missing init
-      ALLOCATE(d_t_hin(klon,klev))
-      ALLOCATE(d_q_ch4(klon,klev))
-      ALLOCATE(stratomask(klon,klev))
-      ALLOCATE(tausum_aero(klon,nwave,naero_tot))
-      ALLOCATE(drytausum_aero(klon,naero_tot))
-      ALLOCATE(tau3d_aero(klon,klev,nwave,naero_tot)) 
-      ALLOCATE(dNovrN(klon))
-      ALLOCATE(zfice(klon, klev))
-      ALLOCATE(od443aer(klon))
-      ALLOCATE(od550aer(klon))
-      ALLOCATE(od865aer(klon))
-      ALLOCATE(dryod550aer(klon))
-      dryod550aer(:) = 0.
-      ALLOCATE(abs550aer(klon))
-      abs550aer(:) = 0.
-      ALLOCATE(ec550aer(klon,klev))
-      ALLOCATE(od550lt1aer(klon))
-      ALLOCATE(sconcso4(klon))
-      ALLOCATE(sconcno3(klon))
-      ALLOCATE(sconcoa(klon))
-      ALLOCATE(sconcbc(klon))
-      ALLOCATE(sconcss(klon))
-      ALLOCATE(sconcdust(klon))
-      ALLOCATE(concso4(klon,klev))
-      ALLOCATE(concno3(klon,klev))
-      ALLOCATE(concoa(klon,klev))
-      ALLOCATE(concbc(klon,klev))
-      ALLOCATE(concss(klon,klev))
-      ALLOCATE(concdust(klon,klev))
-      ALLOCATE(loadso4(klon))
-      ALLOCATE(loadoa(klon))
-      ALLOCATE(loadbc(klon))
-      ALLOCATE(loadss(klon))
-      ALLOCATE(loaddust(klon))
-      ALLOCATE(loadno3(klon))
-      ALLOCATE(load_tmp1(klon))
-      ALLOCATE(load_tmp2(klon))
-      ALLOCATE(load_tmp3(klon))
-      ALLOCATE(load_tmp4(klon))
-      ALLOCATE(load_tmp5(klon))
-      ALLOCATE(load_tmp6(klon))
-      ALLOCATE(load_tmp7(klon))
-      ALLOCATE(load_tmp8(klon))
-      ALLOCATE(load_tmp9(klon))
-      ALLOCATE(load_tmp10(klon))
-
-!IM ajout variables CFMIP2/CMIP5
-      ALLOCATE(topswad_aerop(klon), solswad_aerop(klon))
-      ALLOCATE(topswai_aerop(klon), solswai_aerop(klon))
-      ALLOCATE(topswad0_aerop(klon), solswad0_aerop(klon))
-      ALLOCATE(topsw_aerop(klon,naero_grp), topsw0_aerop(klon,naero_grp))
-      ALLOCATE(solsw_aerop(klon,naero_grp), solsw0_aerop(klon,naero_grp))
-      ALLOCATE(topswcf_aerop(klon,naero_grp), solswcf_aerop(klon,naero_grp))
-
-! additional LW variables CK
-      ALLOCATE(toplwad_aerop(klon), sollwad_aerop(klon))
-      ALLOCATE(toplwai_aerop(klon), sollwai_aerop(klon))
-      ALLOCATE(toplwad0_aerop(klon), sollwad0_aerop(klon))
-
-!AI Ajout Ecrad (3Deffect)
-      ALLOCATE(topswad_aero_s2(klon), solswad_aero_s2(klon))
-      ALLOCATE(topswai_aero_s2(klon), solswai_aero_s2(klon))
-      ALLOCATE(topswad0_aero_s2(klon), solswad0_aero_s2(klon))
-      ALLOCATE(topsw_aero_s2(klon,naero_grp), topsw0_aero_s2(klon,naero_grp))
-      ALLOCATE(solsw_aero_s2(klon,naero_grp), solsw0_aero_s2(klon,naero_grp))
-      ALLOCATE(topswcf_aero_s2(klon,naero_grp), solswcf_aero_s2(klon,naero_grp))
-! additional LW variables CK
-      ALLOCATE(toplwad_aero_s2(klon), sollwad_aero_s2(klon))
-      ALLOCATE(toplwai_aero_s2(klon), sollwai_aero_s2(klon))
-      ALLOCATE(toplwad0_aero_s2(klon), sollwad0_aero_s2(klon))
-
-! FH Ajout de celles necessaires au phys_output_write_mod
-
-      ALLOCATE(tal1(klon), pal1(klon), pab1(klon), pab2(klon))
-      ALLOCATE(ptstar(klon),pt0(klon),slp(klon))
-!!
-!!          Wake variables
-      ALLOCATE(alp_wake(klon))
-      ALLOCATE(wake_h(klon),wake_k(klon))
-      ALLOCATE(wake_omg(klon, klev))
-      ALLOCATE(d_deltat_wk(klon, klev), d_deltaq_wk(klon, klev))
-      ALLOCATE(d_s_wk(klon), d_dens_a_wk(klon), d_dens_wk(klon))
-      ALLOCATE(d_deltat_wk_gw(klon, klev), d_deltaq_wk_gw(klon, klev))
-      ALLOCATE(d_deltat_vdf(klon, klev), d_deltaq_vdf(klon, klev))
-!!      ALLOCATE( d_s_vdf(klon), d_dens_vdf(klon))
-      ALLOCATE(d_deltat_the(klon, klev), d_deltaq_the(klon, klev))
-!!      ALLOCATE( d_s_the(klon), d_dens_the(klon))
-      ALLOCATE(d_deltat_ajs_cv(klon, klev), d_deltaq_ajs_cv(klon, klev))
+    ALLOCATE(d_u_vdf(klon, klev), d_v_vdf(klon, klev))
+    ALLOCATE(d_t_oli(klon, klev), d_t_oro(klon, klev))
+    ALLOCATE(d_u_oli(klon, klev), d_v_oli(klon, klev))
+    ALLOCATE(d_u_oro(klon, klev), d_v_oro(klon, klev))
+    ALLOCATE(d_u_oro_gw(klon, klev), d_v_oro_gw(klon, klev))
+    ALLOCATE(d_t_oro_gw(klon, klev))
+    ALLOCATE(d_t_lif(klon, klev), d_t_ec(klon, klev))
+    ALLOCATE(d_u_lif(klon, klev), d_v_lif(klon, klev))
+    ALLOCATE(d_ts(klon, nbsrf), d_tr(klon, klev, nbtr))
+
+    ! aerosols
+    ALLOCATE(m_allaer(klon, klev, naero_tot))
+    ! Special RRTM
+    ALLOCATE(ZLWFT0_i(klon, klev + 1), ZSWFT0_i(klon, klev + 1), ZFLDN0(klon, klev + 1))
+    ZFLDN0 = 0.
+    ALLOCATE(ZFLUP0(klon, klev + 1), ZFSDN0(klon, klev + 1), ZFSUP0(klon, klev + 1))
+    !
+    ALLOCATE(topswad_aero(klon), solswad_aero(klon))
+    ALLOCATE(topswai_aero(klon), solswai_aero(klon))
+    ALLOCATE(topswad0_aero(klon), solswad0_aero(klon))
+    ALLOCATE(toplwad_aero(klon), sollwad_aero(klon))
+    ALLOCATE(toplwai_aero(klon), sollwai_aero(klon))
+    ALLOCATE(toplwad0_aero(klon), sollwad0_aero(klon))
+    ALLOCATE(topsw_aero(klon, naero_grp), solsw_aero(klon, naero_grp))
+    ALLOCATE(topsw0_aero(klon, naero_grp), solsw0_aero(klon, naero_grp))
+    ALLOCATE(topswcf_aero(klon, 3), solswcf_aero(klon, 3))
+    ALLOCATE(du_gwd_hines(klon, klev), dv_gwd_hines(klon, klev))
+    ALLOCATE(dv_gwd_rando(klon, klev), dv_gwd_front(klon, klev))
+    ALLOCATE(east_gwstress(klon, klev), west_gwstress(klon, klev))
+    east_gwstress(:, :) = 0 !ym missing init
+    west_gwstress(:, :) = 0 !ym missing init
+    ALLOCATE(d_t_hin(klon, klev))
+    ALLOCATE(d_q_ch4(klon, klev))
+    ALLOCATE(stratomask(klon, klev))
+    ALLOCATE(tausum_aero(klon, nwave, naero_tot))
+    ALLOCATE(drytausum_aero(klon, naero_tot))
+    ALLOCATE(tau3d_aero(klon, klev, nwave, naero_tot))
+    ALLOCATE(dNovrN(klon))
+    ALLOCATE(zfice(klon, klev))
+    ALLOCATE(od443aer(klon))
+    ALLOCATE(od550aer(klon))
+    ALLOCATE(od865aer(klon))
+    ALLOCATE(dryod550aer(klon))
+    dryod550aer(:) = 0.
+    ALLOCATE(abs550aer(klon))
+    abs550aer(:) = 0.
+    ALLOCATE(ec550aer(klon, klev))
+    ALLOCATE(od550lt1aer(klon))
+    ALLOCATE(sconcso4(klon))
+    ALLOCATE(sconcno3(klon))
+    ALLOCATE(sconcoa(klon))
+    ALLOCATE(sconcbc(klon))
+    ALLOCATE(sconcss(klon))
+    ALLOCATE(sconcdust(klon))
+    ALLOCATE(concso4(klon, klev))
+    ALLOCATE(concno3(klon, klev))
+    ALLOCATE(concoa(klon, klev))
+    ALLOCATE(concbc(klon, klev))
+    ALLOCATE(concss(klon, klev))
+    ALLOCATE(concdust(klon, klev))
+    ALLOCATE(loadso4(klon))
+    ALLOCATE(loadoa(klon))
+    ALLOCATE(loadbc(klon))
+    ALLOCATE(loadss(klon))
+    ALLOCATE(loaddust(klon))
+    ALLOCATE(loadno3(klon))
+    ALLOCATE(load_tmp1(klon))
+    ALLOCATE(load_tmp2(klon))
+    ALLOCATE(load_tmp3(klon))
+    ALLOCATE(load_tmp4(klon))
+    ALLOCATE(load_tmp5(klon))
+    ALLOCATE(load_tmp6(klon))
+    ALLOCATE(load_tmp7(klon))
+    ALLOCATE(load_tmp8(klon))
+    ALLOCATE(load_tmp9(klon))
+    ALLOCATE(load_tmp10(klon))
+
+    !IM ajout variables CFMIP2/CMIP5
+    ALLOCATE(topswad_aerop(klon), solswad_aerop(klon))
+    ALLOCATE(topswai_aerop(klon), solswai_aerop(klon))
+    ALLOCATE(topswad0_aerop(klon), solswad0_aerop(klon))
+    ALLOCATE(topsw_aerop(klon, naero_grp), topsw0_aerop(klon, naero_grp))
+    ALLOCATE(solsw_aerop(klon, naero_grp), solsw0_aerop(klon, naero_grp))
+    ALLOCATE(topswcf_aerop(klon, naero_grp), solswcf_aerop(klon, naero_grp))
+
+    ! additional LW variables CK
+    ALLOCATE(toplwad_aerop(klon), sollwad_aerop(klon))
+    ALLOCATE(toplwai_aerop(klon), sollwai_aerop(klon))
+    ALLOCATE(toplwad0_aerop(klon), sollwad0_aerop(klon))
+
+    !AI Ajout Ecrad (3Deffect)
+    ALLOCATE(topswad_aero_s2(klon), solswad_aero_s2(klon))
+    ALLOCATE(topswai_aero_s2(klon), solswai_aero_s2(klon))
+    ALLOCATE(topswad0_aero_s2(klon), solswad0_aero_s2(klon))
+    ALLOCATE(topsw_aero_s2(klon, naero_grp), topsw0_aero_s2(klon, naero_grp))
+    ALLOCATE(solsw_aero_s2(klon, naero_grp), solsw0_aero_s2(klon, naero_grp))
+    ALLOCATE(topswcf_aero_s2(klon, naero_grp), solswcf_aero_s2(klon, naero_grp))
+    ! additional LW variables CK
+    ALLOCATE(toplwad_aero_s2(klon), sollwad_aero_s2(klon))
+    ALLOCATE(toplwai_aero_s2(klon), sollwai_aero_s2(klon))
+    ALLOCATE(toplwad0_aero_s2(klon), sollwad0_aero_s2(klon))
+
+    ! FH Ajout de celles necessaires au phys_output_write_mod
+
+    ALLOCATE(tal1(klon), pal1(klon), pab1(klon), pab2(klon))
+    ALLOCATE(ptstar(klon), pt0(klon), slp(klon))
+    !!
+    !!          Wake variables
+    ALLOCATE(alp_wake(klon))
+    ALLOCATE(wake_h(klon), wake_k(klon))
+    ALLOCATE(wake_omg(klon, klev))
+    ALLOCATE(d_deltat_wk(klon, klev), d_deltaq_wk(klon, klev))
+    ALLOCATE(d_s_wk(klon), d_dens_a_wk(klon), d_dens_wk(klon))
+    ALLOCATE(d_deltat_wk_gw(klon, klev), d_deltaq_wk_gw(klon, klev))
+    ALLOCATE(d_deltat_vdf(klon, klev), d_deltaq_vdf(klon, klev))
+    !!      ALLOCATE( d_s_vdf(klon), d_dens_vdf(klon))
+    ALLOCATE(d_deltat_the(klon, klev), d_deltaq_the(klon, klev))
+    !!      ALLOCATE( d_s_the(klon), d_dens_the(klon))
+    ALLOCATE(d_deltat_ajs_cv(klon, klev), d_deltaq_ajs_cv(klon, klev))
 #ifdef ISO
       ALLOCATE(d_deltaxt_wk(ntraciso,klon, klev))
